﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Networking.Client;
using TMPro;

public class LoginUIManager : MonoBehaviour
{
    [SerializeField]
    private ClientLoginManager clientManager;

    private string serverAddress;
    private int serverPort;


    private void Start()
    {
        serverAddress = PlayerPrefs.GetString("LastUsedAddress", "");
        serverPort = PlayerPrefs.GetInt("LastUsedPort", 2222);
    }


    public void OnChange_ServerAddress(string serverAddress)
    {
        this.serverAddress = serverAddress;
    }

    public void OnChange_ServerPort(string serverPort)
    {
        this.serverPort = int.Parse(serverPort);
    }

    public void OnClickConnect()
    {
        clientManager.StartClient(serverAddress, serverPort);
        PlayerPrefs.SetString("LastUsedAddress", serverAddress);
        PlayerPrefs.SetInt("LastUsedPort", serverPort);
        PlayerPrefs.Save();
    }


}
